package es.verdnatura.presentation.view.feature.pasillero.fragment

import android.annotation.SuppressLint
import android.content.Context
import es.verdnatura.R
import es.verdnatura.presentation.base.BaseViewModel
import es.verdnatura.presentation.view.feature.pasillero.model.PasillerosItemVO

class PasilleroViewModel(context: Context) : BaseViewModel(context) {
    @SuppressLint("StaticFieldLeak")
    private val contextApp = context
    private val _pasillerositem by lazy { ArrayList<PasillerosItemVO>() }
    val pasillerositem: List<PasillerosItemVO>
        get() = _pasillerositem


    fun inititializeDefaultData() {

           /* _pasillerositem.add(
                PasillerosItemVO(
                    7,
                    R.drawable.ic_streetview_black_24dp,
                    contextApp.getString(R.string.titlePrePicker),
                    R.string.titlePrePicker,
                    contextApp.getString(
                        R.string.titlePickerDescrip
                    )
                )
            )


        //sergio para que aparezca el nuevo menu

            _pasillerositem.add(
                PasillerosItemVO(
                    10,
                    R.drawable.ic_ticket,
                    contextApp.getString(R.string.titleShowTicket),
                    R.string.titleShowTicket,
                    contextApp.getString(
                        R.string.titleShowTicketDescrip
                    )
                )
            )*/

        _pasillerositem.add(
            PasillerosItemVO(
                0,
                R.drawable.ic_item,
                contextApp.getString(R.string.titleItemConsult),
                R.string.titleItemConsult,
                contextApp.getString(
                    R.string.titleItemConsultDescrip
                )
            )
        )


/*

        _pasillerositem.add(
            PasillerosItemVO(
                6,
                R.drawable.ic_local_parking_orange_24dp,
                contextApp.getString(R.string.Parking),
                R.string.Parking,
                contextApp.getString(R.string.titleParkingDescrip)
            )
        )
*/

        _pasillerositem.add(
            PasillerosItemVO(
                2,
                R.drawable.ic_visibility_black_24dp,
                contextApp.getString(R.string.titleItemSearch),
                R.string.titleItemSearch,
                contextApp.getString(
                    R.string.titleItemSearchDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                1,
                R.drawable.ic_dashboard_black_24dp,
                contextApp.getString(R.string.titleUbicator),
                R.string.titleUbicator,
                contextApp.getString(
                    R.string.titleUbicatorDescrip
                )
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                3,
                R.drawable.ic_spa_black_24dp,
                contextApp.getString(R.string.titleInventory),
                R.string.titleInventory,
                contextApp.getString(
                    R.string.titleInventoryDescrip
                )
            )
        )
        //Tarea 5891
        _pasillerositem.add(
            PasillerosItemVO(
                3,
                R.drawable.ic_inventory_parking,
                contextApp.getString(R.string.titleInventoryParking),
                R.string.titleInventoryParking,
                contextApp.getString(
                    R.string.titleInventoryParkingDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.worker_mistake,
                contextApp.getString(R.string.titleWorkerMistake),
                R.string.titleWorkerMistake,
                contextApp.getString(
                    R.string.titleWorkerMistakeDescrip
                )
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                41,
                R.drawable.ic_historical_menu,
                contextApp.getString(R.string.historicals),
                R.string.historicals,
                contextApp.getString(
                    R.string.historicalsDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                41,
                R.drawable.day_of_sale,
                contextApp.getString(R.string.titleDayOfSale),
                R.string.titleDayOfSale,
                contextApp.getString(
                    R.string.titleDayDescrip
                )
            )
        )
        _pasillerositem.add(
            PasillerosItemVO(
                1,
                R.drawable.ic_shopping_self,
                contextApp.getString(R.string.selfConsumption),
                R.string.titleSelfConsumption,
                contextApp.getString(
                    R.string.titleSelfConsumption
                )
            )
        )

    }


    fun inititializeDefaultPallet() {

        _pasillerositem.add(
            PasillerosItemVO(
                30,
                R.drawable.pallet_shipping_selected,
                contextApp.getString(R.string.titlePalletizar),
                R.string.titlePalletizar,
                contextApp.getString(
                    R.string.titlePalletDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                30,
                R.drawable.ic_pallet_scan_expedition,
                contextApp.getString(R.string.titleScanPalletizar),
                R.string.titleScanPalletizar,
                contextApp.getString(
                    R.string.titleScanPalletDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                30,
                R.drawable.lift,
                contextApp.getString(R.string.scanPlatform),
                R.string.scanPlatform,
                contextApp.getString(
                    R.string.titleScanPlatform
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                50,
                R.drawable.ic_visibility_black_24dp,
                contextApp.getString(R.string.titleExpeditionState),
                R.string.titleExpeditionState,
                contextApp.getString(R.string.titleExpeditionDescrip)
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.ic_cmr,
                contextApp.getString(R.string.titleCMRState),
                R.string.titleCMRState,
                contextApp.getString(R.string.titleCMRDescrip)
            )
        )
        _pasillerositem.add(
            PasillerosItemVO(
                40,
                R.drawable.barcode_scan,
                contextApp.getString(R.string.titleExpeditionScan),
                R.string.titleExpeditionScan,
                contextApp.getString(
                    R.string.titleExpScanDescrip
                )
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                32,
                R.drawable.buffer_outline,
                contextApp.getString(R.string.titleBufferManegement),
                R.string.titleBufferManegement,
                contextApp.getString(
                    R.string.titleBufferMangDescrip
                )
            )
        )


       /* _pasillerositem.add(
            PasillerosItemVO(
                33,
                R.drawable.qrcode_scan,
                contextApp.getString(R.string.titleQrReader),
                R.string.titleQrReader,
                contextApp.getString(R.string.titleQrDescrip)
            )
        )*/

    }

    fun inititializeDefaultBuffer() {

        _pasillerositem.add(
            PasillerosItemVO(
                30,
                R.drawable.buffer_empty,
                contextApp.getString(R.string.titleBufferEmpty),
                R.string.titleBufferEmpty,
                contextApp.getString(
                    R.string.titleBufferEmptyDescrip
                )
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.buffer_fill,
                contextApp.getString(R.string.titleBufferFill),
                R.string.titleBufferFill,
                contextApp.getString(
                    R.string.titleBufferFillDescrip
                )
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                32,
                R.drawable.buffer_accumulation,
                contextApp.getString(R.string.titleBufferAccumulate),
                R.string.titleBufferAccumulate,
                contextApp.getString(
                    R.string.titleBufferAccDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.buffer_off,
                contextApp.getString(R.string.titleBufferOff),
                R.string.titleBufferOff,
                contextApp.getString(
                    R.string.titleBufferOffDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.buffer_flejado,
                contextApp.getString(R.string.titleBufferStrapping),
                R.string.titleBufferStrapping,
                contextApp.getString(
                    R.string.titleBufferStrapDescrip
                )
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                45,
                R.drawable.buffer_load,
                contextApp.getString(R.string.titleBufferload),
                R.string.titleBufferload,
                contextApp.getString(
                    R.string.titleBufferLoadDescrip
                )
            )
        )
    }

    fun inititializeDefaultDataInit() {


            _pasillerositem.add(
                PasillerosItemVO(
                    30,
                    R.drawable.ic_previous,
                    contextApp.getString(R.string.titlePrevious),
                    R.string.titlePrevious,
                    contextApp.getString(R.string.titlePreviousDescription)
                )
            )

        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_corridor_ui,
                contextApp.getString(R.string.titleCorridors),
                R.string.titleCorridors,
                contextApp.getString(R.string.titleCorridorsDescrip)
            )
        )
        //precontrol
        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_picker_ui,
                contextApp.getString(R.string.titlePickers),
                R.string.titlePickers,
                contextApp.getString(
                    R.string.titlePickersDescrip
                )
            )
        )
        val working_in_testMenu = false
        if (working_in_testMenu) {
            _pasillerositem.add(
                PasillerosItemVO(
                    7,
                    R.drawable.ic_picker_ui,
                    contextApp.getString(R.string.sacador_test),
                    R.string.sacador_test,
                    contextApp.getString(
                        R.string.sacador_test
                    )
                )
            )
        }
        //sergio para que aparezca el nuevo menu

            _pasillerositem.add(
                PasillerosItemVO(
                    10,
                    R.drawable.ic_controller_ui,
                    contextApp.getString(R.string.titleControllers),
                    R.string.titleControllers,
                    contextApp.getString(
                        R.string.titleControlDescrip
                    )
                )
            )

        _pasillerositem.add(
            PasillerosItemVO(
                0,
                R.drawable.ic_pallet_ui,
                contextApp.getString(R.string.titlePalletizers),
                R.string.titlePalletizers,
                contextApp.getString(
                    R.string.titlePalletizDescrip
                )
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                6,
                R.drawable.ic_claim_ui,
                contextApp.getString(R.string.titleClaims),
                R.string.titleClaims,
                contextApp.getString(R.string.titleClaimsDescrip)
            )
        )

        //Tarea 4678
        _pasillerositem.add(
            PasillerosItemVO(
                6,
                R.drawable.ic_delivery_truck,
                contextApp.getString(R.string.titleDelivery),
                R.string.titleDelivery,
                contextApp.getString(R.string.titleDelivery)
            )
        )


        //#tarea4021
        /*  _pasillerositem.add(
                  PasillerosItemVO(
                      6,
                      R.drawable.ic_packaging,
                      contextApp.getString(R.string.titlePackaging),
                      R.string.titlePackaging,
                      contextApp.getString(R.string.titlePackagingDescrip)
                  )
              )*/
        //Tarea 5322
        _pasillerositem.add(
            PasillerosItemVO(
                6,
                R.drawable.photo_camera,
                contextApp.getString(R.string.titlePhotos),
                R.string.titlePhotos,
                contextApp.getString(R.string.titlePhotos)
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                50,
                R.drawable.ic_other,
                contextApp.getString(R.string.titleOther),
                R.string.titleOther,
                contextApp.getString(R.string.titleOther)
            )
        )

        val working_in_test = false
        if (working_in_test) {
            _pasillerositem.add(
                PasillerosItemVO(
                    6,
                    R.drawable.ic_star_ko,
                    contextApp.getString(R.string.testing),
                    R.string.testing,
                    contextApp.getString(R.string.testing)
                )
            )
        }
    }


    fun inititializeDefaultClaim() {

        _pasillerositem.add(
            PasillerosItemVO(
                30,
                R.drawable.ic_claims,
                contextApp.getString(R.string.titleClaimUbication),
                R.string.titleClaimUbication,
                contextApp.getString(
                    R.string.titleClaimDescrip
                )
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                1,
                R.drawable.ic_reubication,
                contextApp.getString(R.string.titleReUbicator),
                R.string.titleReUbicator,
                contextApp.getString(
                    R.string.titleReubicatorDescrip
                )
            )
        )



    }

    fun inititializeDefaultDelivery() {


        _pasillerositem.add(
            PasillerosItemVO(
                6,
                R.drawable.ic_delivery_truck,
                contextApp.getString(R.string.titleDeliveryRoute),
                R.string.titleDeliveryRoute,
                contextApp.getString(R.string.titleDeliveryRoute)
            )
        )

    }

    fun inititializeDefaultPrevia() {

        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_streetview_black_24dp,
                contextApp.getString(R.string.titlePrePicker),
                R.string.titlePrePicker,
                contextApp.getString(
                    R.string.titlePickerDescrip
                )
            )
        )
        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_verified_user_black_24dp_selected,
                contextApp.getString(R.string.titlePreControl),
                R.string.titlePreControl,
                contextApp.getString(
                    R.string.titlePreControlDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                10,
                R.drawable.ic_ticket,
                contextApp.getString(R.string.titleShowTicket),
                R.string.titleShowTicket,
                contextApp.getString(
                    R.string.titleShowTicketDescrip
                )
            )
        )

    }

    fun inititializeDefaultChecker() {


        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_verified_user_black_24dp_selected,
                contextApp.getString(R.string.titleControllersAction),
                R.string.titleControllersAction,
                contextApp.getString(
                    R.string.titleCheckerDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                1,
                R.drawable.ic_advance_ticket,
                contextApp.getString(R.string.ticketAdvance),
                R.string.ticketAdvance,
                contextApp.getString(
                    R.string.ticketAdvanceDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_packing_mistake,
                contextApp.getString(R.string.titlePackingMistake),
                R.string.titlePackingMistake,
                contextApp.getString(
                    R.string.titlePackingMistakeDescrip
                )
            )
        )

    }
    fun inititializeDefaultOther() {

        _pasillerositem.add(
            PasillerosItemVO(
                1,
                R.drawable.ic_packaging,
                contextApp.getString(R.string.titlePackingHolland),
                R.string.titlePackingHolland,
                contextApp.getString(
                    R.string.titleUbicatorDescrip
                )
            )
        )

    }
    fun inititializeDefaultHistorical() {
        _pasillerositem.add(
            PasillerosItemVO(
                10,
                R.drawable.revision_icon,
                contextApp.getString(R.string.titleShelvingHistorical),
                R.string.titleShelvingHistorical,
                contextApp.getString(
                    R.string.titleShelvingHistDescrip
                )
            )
        )
        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_history_orange,
                contextApp.getString(R.string.titleLogShelving),
                R.string.titleLogShelving,
                contextApp.getString(
                    R.string.titleLogShelvingDescrip
                )
            )
        )

        //Tarea 5186
      /*  _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_parking_previa,
                contextApp.getString(R.string.titleParkingTicketPrevia),
                R.string.titleParkingTicketPrevia,
                contextApp.getString(
                    R.string.titleParkingTicketPrevia
                )
            )
        )*/

        _pasillerositem.add(
            PasillerosItemVO(
                22,
                R.drawable.car_info,
                contextApp.getString(R.string.titleHistoricalVehicle),
                R.string.titleHistoricalVehicle,
                contextApp.getString(
                    R.string.titleHistVehicleDescrip
                )
            )
        )


    }
}
